%{
#include <stdio.h>
#include <string.h>
int yyline;
int yylex();
%}

%start list
%union {
    int ival;
    char name[32];}

%token <name> NUMBER
%type <ival> expr stat
%left <ival> '+' '-'
%left <ival> '*' '/'

%%

list : stat;
list : list stat;

stat : expr '.'
     { printf("rezultat %d\n",$1);}
     ;

expr : '(' expr ')'
     { $$=$2;}
     | expr '+' expr
     { $$=$1+$3;}
     | expr '-' expr
     { $$=$1-$3;}
     | expr '*' expr
     { $$=$1*$3;}
     | expr '/' expr
     { $$=$1/$3;}
     | '-' expr %prec '*'
     { $$=-$2;}
     | NUMBER
     { $$=atoi($1);}
     ;

%%

int yyerror(char *s){
  printf("\n Greska %s u redu %d\n",s,yyline);
}

main(){
  yyline=1;
  if (yyparse()==0) printf("\n Parsiranje uspesno zavrseno\n");
  else printf("\n Parsiranje nije uspesno zavrseno\n");
}
